Docs Ideogram /ideogram/v1/ideogram-v3/edit
API reference

Generate 3.0 (Picture Editing)Edit

Use the Ideogram 3.0 model to synchronously generate images based on given hints and optional parameters Please see the official documentation for specific parameters:…

POST/ideogram/v1/ideogram-v3/edit

Body Parametersmultipart/form-data

image* string · binary

Image is being reprocessed (maximum size is 10 megabytes); currently only JPEG, WebP, and PNG formats are supported.

mask string · binary

Mask image (edit region)

prompt string

Text prompt

seed integer

Random seed, range 0-2147483647, set this value to obtain repeatable results

Responses

200 application/json
response-200 object
properties
code* integer

Business status code

data* object

Data payload (often Base64 or a structured object)

message* string

Message text

request_id* string

Request trace ID

400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example
1{
2"image": "file://C:\\Users\\Administrator\\Desktop\\例子.png"
3}
Code Sample cURL
1curl -X POST "https://api.digislash.com/ideogram/v1/ideogram-v3/edit" \
2-H "Authorization: Bearer <API Key>" \
3-F "image=@file://C:\Users\Administrator\Desktop\例子.png" \
4-F "mask=@file://C:\Users\Administrator\Desktop\例子.png" \
5-F "prompt=A photo of a cat wearing a hat." \
6-F "seed=12345"
Response
1▼{
2"code": 0,
3▼"data": {
4"created_at": 1733851336696,
5"task_id": "CjMT7WdSwWcAAAAAALvB3g",
6"task_status": "submitted",
7"updated_at": 1733851336696
8},
9"message": "SUCCEED",
10"request_id": "CjMT7WdSwWcAAAAAALvB3g"
11}